<div class="main-container">
    <div class="main-content">
        <div class="row">
            <div class="col-sm-10 col-sm-offset-1">
                <div class="login-container">
                    <div class="center">
                        <img alt="JSW Logo" src="<?php echo $this->webroot;?>img/Logo-login-page.png" width="200" />
                        <div class="space-6"></div>
                        <h1><span class="white" id="id-text2">Administrator :: Login</span></h1>
                    </div>
                    <div class="space-6"></div>
                    <div class="position-relative">
                        <div id="login-box" class="login-box visible widget-box no-border">
                            <div class="widget-body">
                                <div class="widget-main">
                                    <h4 class="header blue lighter bigger">
                                        <i class="ace-icon fa fa-coffee green"></i>
                                        Please Enter Your Information
                                    </h4>
                                    <div class="space-6"></div>
                                    <?php echo $this->Form->create(null, array('id'=>'loginform','role'=>'form','url' => array('controller' => 'admins', 'action' => 'checklogin')));?>
                                        <fieldset>
                                            <label class="block clearfix">
                                                <span class="block input-icon input-icon-right">
                                                    <?php echo $this->Form->input('username', array('class'=>'form-control','label'=>false,'id'=>'username','placeholder'=>'Your Username','required'=>true));?>
                                                    <i class="ace-icon fa fa-user"></i>
                                                </span>
                                            </label>
                                            <label class="block clearfix">
                                                <span class="block input-icon input-icon-right">
                                                    <?php echo $this->Form->input('password', array('class'=>'form-control','label'=>false,'id'=>'password','placeholder'=>'Your Password','required'=>true));?>
                                                    <i class="ace-icon fa fa-lock"></i>
                                                </span>
                                            </label>
                                            <div class="space"></div>
                                            <div class="clearfix">
                                                <label class="inline">
                                                    <input type="checkbox" class="ace" />
                                                    <span class="lbl"> Remember Me</span>
                                                </label>
                                                <button type="button" onclick="admin_validate()" class="width-35 pull-right btn btn-sm btn-primary">
                                                    <i class="ace-icon fa fa-key"></i>
                                                    <span class="bigger-110">Login</span>
                                                </button>
                                            </div>
                                            <div class="space-4"></div>
                                        </fieldset>
                                       <?php echo $this->Form->end()?>
                                    <div class="space-6"></div>
                                </div>
                                <!-- /.widget-main -->
                                <div class="toolbar clearfix">
                                    <div class="pull-right">
                                        <a href="#" data-target="#forgot-box" class="forgot-password-link">
                                            <i class="ace-icon fa fa-arrow-left"></i> I forgot my password
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <!-- /.widget-body -->
                        </div>
                        <!-- /.login-box -->

                        <div id="forgot-box" class="forgot-box widget-box no-border">
                            <div class="widget-body">
                                <div class="widget-main">
                                    <h4 class="header red lighter bigger">
                                        <i class="ace-icon fa fa-key"></i>
                                        Retrieve Password
                                    </h4>
                                    <div class="space-6"></div>
                                    <p>
                                        Enter your email and to receive instructions
                                    </p>
                                    <?php echo $this->Form->create(null, array('id'=>'forgotform','role'=>'form','url' => array('controller' => 'admins', 'action' => 'retrievepassword')));?>
                                        <fieldset>
                                            <label class="block clearfix">
                                                <span class="block input-icon input-icon-right">
                                                    <?php echo $this->Form->input('email', array('class'=>'form-control','label'=>false,'id'=>'email','placeholder'=>'Your Email Address','required'=>true));?>
                                                    <i class="ace-icon fa fa-envelope"></i>
                                                </span>
                                            </label>
                                            <div class="clearfix">
                                                <button type="button" onclick="retrievePassword()" class="width-35 pull-right btn btn-sm btn-danger">
                                                    <i class="ace-icon fa fa-lightbulb-o"></i>
                                                    <span class="bigger-110">Send Me!</span>
                                                </button>
                                            </div>
                                        </fieldset>
                                    <?php echo $this->Form->end()?>
                                </div>
                                <!-- /.widget-main -->
                                <div class="toolbar center">
                                    <a href="#" data-target="#login-box" class="back-to-login-link">
                                        Back to login
                                        <i class="ace-icon fa fa-arrow-right"></i>
                                    </a>
                                </div>
                            </div>
                            <!-- /.widget-body -->
                        </div>
                        <!-- /.forgot-box -->
                    </div>
                </div>
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </div>
    <!-- /.main-content -->
</div>
<script type="text/javascript">
    $( document ).ready(function() {
       $(document).on('click', '.toolbar a[data-target]', function(e) {
              e.preventDefault();
              var target = $(this).data('target');
              $('.widget-box.visible').removeClass('visible');
              $(target).addClass('visible');
              $("#forgotform")[0].reset();
              $("#loginform")[0].reset();
       });
    });
</script>