<div class="main-content">
    <div class="main-content-inner">
        <div id="breadcrumbs" class="breadcrumbs">
            <script type="text/javascript">
                try {
                    ace.settings.check('breadcrumbs', 'fixed')
                } catch (e) {}
            </script>
            <ul class="breadcrumb">
                <li>
                    <i class="ace-icon fa fa-home home-icon"></i>
                    <a href="<?php echo $this->webroot; ?>admins/dashboard">Home</a>
                </li>
                <li>
                    <a href="<?php echo $this->webroot; ?>areas/manageareas">Manage City/Rural</a>
                </li>
                <li class="active">City/Rural List</li>
            </ul>
        </div>
        <div class="page-content">
            <div class="page-header">
                <h1>City/Rural List</h1>
                <div id="statusmsg" class="text-center"></div>
            </div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12" style="margin-bottom:20px;">
                    <?php echo $this->Form->create(null, array('style' => 'margin-bottom:10px', 'url' => array('controller' => 'areas', 'action' => 'manageareas'))); ?>
                    <div class="col-md-10 pull-left">
                        <?php echo $this->Form->input('searchkey', array('class' => 'form-control', 'label' => false, 'empty' => false, 'value' => $searchkey, 'placeholder' => 'Search by District Code, Code, Name')); ?>
                    </div>
                    <div class="col-md-2 pull-left">
                        <button class="btn btn-primary submit_btn" type="submit">Filter Now</button>
                    </div>
                    <?php echo $this->Form->end() ?>
                    <br>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <div class="table-responsive" style="overflow:none;width: 100%;">
                                <table class="table table-striped table-bordered table-hover">
                                    <thead>
                                        <?php
                                        $paginator = $this->Paginator;
                                        echo "<tr>";
                                        echo "<th style='text-align: center;'>#</th>";
                                        echo "<th style='text-align: center;'>" . $paginator->sort('district_id', 'District Code') . "</th>";
                                        echo "<th style='text-align: center;'>" . $paginator->sort('name', 'Name') . "</th>";
                                        echo "<th style='text-align: center;'>" . $paginator->sort('code', 'Code') . "</th>";
                                        echo "<th style='text-align: center;'>" . $paginator->sort('latlong', 'Latlong') . "</th>";
                                        echo "<th style='text-align: center;'>" . $paginator->sort('population', 'Population') . "</th>";
                                        echo "<th style='text-align: center;'>" . $paginator->sort('type', 'City/Rural') . "</th>";
                                        //echo "<th colspan='3' style='text-align: center;'>Actions</th>";
                                        echo "</tr>";
                                        ?>
                                    </thead>
                                    <tbody>
                                        <?php
                                        if (!empty($data)) {
                                            $num = $this->Paginator->counter('{:start}');
                                            foreach ($data as $cat) {
                                                $id = ucwords($cat['Area']['id']);
                                                $district_code = $cat['Area']['district_id'];
                                                $code = $cat['Area']['code'];
                                                $name = $cat['Area']['name'];
                                                $latlong = $cat['Area']['latlong'];
                                                $population = $cat['Area']['population'];
                                                /*if ($cat['Area']['status'] == true) {
                                                    $stsicon = '<span class="label label-success">Activated</span>';
                                                    $cstatus = 1;
                                                } else {
                                                    $stsicon = '<span class="label label-danger">Deactivated</span>';
                                                    $cstatus = 0;
                                                }*/
                                                
                                                if ($cat['Area']['type'] == '1') {
                                                    $stsicon = '<span class="label label-success">City</span>';
                                                } else if ($cat['Area']['type'] == '2') {
                                                    $stsicon = '<span class="label label-danger">Rural</span>';
                                                }
                                                
                                                echo "<tr>";
                                                echo "<td>{$num}</td>";
                                                echo "<td>{$district_code}</td>";
                                                echo "<td>{$name}</td>";
                                                echo "<td>{$code}</td>";
                                                echo "<td>{$latlong}</td>";
                                                echo "<td>{$population}</td>";
                                                /*echo "<td>" . $this->Html->link($stsicon, array('controller' => 'areas', 'action' => 'groupaction', '?' => array('actname' => 'status', 'id' => $id, 'currentsts' => $cstatus)), array('escape' => false, 'title' => 'Change Status')) . "</td>";
                                                echo "<td>" . $this->Html->link('<i class="fa fa-pencil-square-o" aria-hidden="true"></i>', array('controller' => 'areas', 'action' => 'editArea', '?' => array('id' => $id)), array('escape' => false, 'title' => 'Edit')) . "</td>";
                                                echo "<td>" . $this->Html->link('<i class="fa fa-trash" aria-hidden="true"></i>', array('controller' => 'areas', 'action' => 'groupaction', '?' => array('actname' => 'delete', 'id' => $id)), array('escape' => false, 'title' => 'Delete')) . "</td>";*/
                                                echo "<td>" . $stsicon. "</td>";
                                                echo "</tr>";
                                                $num = $num + 1;
                                            }
                                        } else {
                                            echo "<tr><td colspan='7' class='text-center' style='color:red;'>No record found.</td></tr>";
                                        }
                                        ?>
                                    </tbody>
                                </table>
                                <?php echo $this->element('pagelinks'); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.page-content -->
    </div>
</div>