<div class="main-content">
    <div class="main-content-inner">
        <div id="breadcrumbs" class="breadcrumbs">
            <ul class="breadcrumb">
                <li>
                    <i class="ace-icon fa fa-home home-icon"></i>
                    <a href="<?php echo $this->webroot;?>admins/dashboard">Home</a> 
                </li>						
                <li>
                    <a href="<?php echo $this->webroot;?>dealers/managedealers">Manage Dealer</a> 
                </li>					
                <li class="active">Add Dealer</li>
            </ul>
        </div>
        <div class="page-content">
            <div class="page-header">
                <h1>Add Dealer</h1>
                <div id="statusmsg" class="text-center"></div>
            </div>
            <div class="row">
                <div class="space-6"></div>								
                <?php echo $this->Form->create('Dealer', array('id'=>'dealerInputForm','class'=>'form-horizontal','enctype'=>'multipart/form-data','role'=>'form','url' => array('controller' => 'dealers', 'action' => 'saveDealer')));?>
                <div class = "form-group">
                    <label for="form-field-1" for="data[Dealer][company_name]" class="col-sm-3 control-label no-padding-right">Company Name : <span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('company_name', array('type'=>'text','id'=>'company_name','placeholder'=>'Company Name','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                    </div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" for="data[Dealer][contact_name]" class="col-sm-3 control-label no-padding-right">Contact Person : </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('contact_name', array('type'=>'text','id'=>'contact_name','placeholder'=>'Contact Person','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                    </div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" for="data[Dealer][dealer_latlong]" class="col-sm-3 control-label no-padding-right">Lat Long <span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('dealer_latlong', array('type'=>'text','id'=>'dealer_latlong','placeholder'=>'Lat Long','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                    </div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" for="data[Dealer][house_no]" class="col-sm-3 control-label no-padding-right">House No. <span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('house_no', array('type'=>'text','id'=>'house_no','placeholder'=>'House No.','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                    </div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" for="data[Dealer][street1]" class="col-sm-3 control-label no-padding-right">Street1 <span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('street1', array('type'=>'textarea','id'=>'street1','placeholder'=>'Street1','class'=>'col-xs-10 col-sm-12','label'=>false,'rows'=>"3",'cols'=>'5'));?>
                    </div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" for="data[Dealer][street2]" class="col-sm-3 control-label no-padding-right">Street2 : </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('street2', array('type'=>'textarea','id'=>'street2','placeholder'=>'Street2','class'=>'col-xs-10 col-sm-12','label'=>false,'rows'=>"3",'cols'=>'5'));?>
                    </div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Street3 : </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('street3', array('type'=>'textarea','id'=>'street3','placeholder'=>'Street3','class'=>'col-xs-10 col-sm-12','label'=>false,'rows'=>"3",'cols'=>'5'));?>
                    </div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Street4 : </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('street4', array('type'=>'textarea','id'=>'street4','placeholder'=>'Street4','class'=>'col-xs-10 col-sm-12','label'=>false,'rows'=>"3",'cols'=>'5'));?>
                    </div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">District : </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('district', array('type'=>'text','id'=>'district','placeholder'=>'District','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                    </div>
                </div>                
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Pincode : <span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('pincode_id', array('options'=>$dealerList,'type'=>'select','id'=>'pincode_id','class'=>'col-xs-10 col-sm-12','label'=>false,'empty'=>''));?>
                    </div>
                </div>  
               
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">City : </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('city', array('type'=>'text','id'=>'city','placeholder'=>'City','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                    </div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Region : </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('region', array('type'=>'text','id'=>'region','placeholder'=>'Region','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                    </div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Country : </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('country', array('type'=>'text','id'=>'country','placeholder'=>'Country','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                    </div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Mobile No : <span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('phone_mobile', array('type'=>'text','id'=>'phone_mobile','placeholder'=>'Mobile No','class'=>'col-xs-10 col-sm-12','label'=>false,'maxlength'=>10));?>
                    </div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Landline No : : </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('phone_landline', array('type'=>'text','id'=>'phone_landline','placeholder'=>'Landline No','class'=>'col-xs-10 col-sm-12','label'=>false,'maxlength'=>15));?>
                    </div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">EXP/MBO Status :  </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('exp_mbo_status', array('options'=>array('EXP'=>'EXP','MBO'=>'MBO'),'empty'=>'Select','label'=>false));?>
                    </div>
                </div>
                
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Loyalty Status :  </label>
                    <div class="col-sm-4">					
                        <?php 
                        $statuses = array('proposed'=>'Proposed','shortlisted'=>'Shortlisted','rejected'=>'Rejected');
                        echo $this->Form->input('loyalty_status', array('options'=>$statuses,'empty'=>'Select','label'=>false));?>
                    </div>
                </div>
                <div class="clearfix">
                    <div class="col-md-offset-3 col-md-9">
                        <button type="button" class="btn btn-info" onclick="processQuery();">
                            <i class="ace-icon fa fa-check bigger-110"></i>
                            Submit
                        </button>
                        &nbsp; &nbsp; &nbsp;
                        <button type="reset" class="btn">
                            <i class="ace-icon fa fa-undo bigger-110"></i>
                            Reset
                        </button>
                    </div>
                </div>
                <?php echo $this->Form->end()?>								 
            </div>
        </div>
    </div>
</div>
<script>
$(document).ready(function(){
    $("#pincode_id").select2({
  allowClear:true,
  placeholder: 'Pincode'
});
});
</script>