<!DOCTYPE html>
<html>
    <head> 
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <?php echo $this->Html->charset(); ?>
        <title><?php echo $this->fetch('title'); ?></title>
        <meta name="keyword" content="<?php echo isset($keyword_for_layout) ? $keyword_for_layout : 'BUSINESS DATA MAPPING'; ?>">
        <meta name="description" content="<?php echo isset($description_for_layout) ? $description_for_layout : ''; ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
        <link rel="shortcut icon" type="image/x-icon" href="<?php echo $this->webroot;?>favicon.ico" />
        <?php echo $this->Html->css('bootstrap-custom.min');?> 
        <link rel="stylesheet" href="<?php echo $this->webroot;?>font-awesome/4.5.0/css/font-awesome.min.css" />
        <?php echo $this->Html->css('flush_message');?>   
        <?php echo $this->Html->script('jquery.min');?>  
        <script type="text/javascript">
            jQuery(function ($) {
                var msg = '<?php echo $this->Flash->render(); ?>';
                if (msg != '') {
                    demo.showNotification('top', 'center', msg);
                }
            });
            $(window).on('load', function(){
                $('#status').fadeOut();
                $('#preloader').delay(350).fadeOut('slow');
                $('body').delay(350).css({
                    'overflow': 'visible'
                });
            });
        </script>
    <?php echo $this->Html->script('bootstrap-custom.min');?>
    <?php 			
        echo $this->Html->script('customscript');
        echo $this->Html->script('bootstrap-notify');
        echo $this->Html->script('demo');
    ?>
    </head>
    <body data-base-url="<?php echo $this->webroot;?>" style="overflow: hidden;">
        <?php 
            $logintype = $this->Session->read('logintype');
            if($logintype !=''){
                echo $this->element('header');
            }?>
        <div class="container-fluid body-top">
            <div class="row">
                <?php 
                    echo $this->fetch('content'); 
                    //echo $this->element('footer');
                ?>
            </div>
        </div>
    </body>
</html>
