<?php
$designation = $this->Session->read('designation');
$accessZones = $this->Session->read('accessZones');
$accessRegions = $this->Session->read('accessRegions');
$accessDistricts = $this->Session->read('accessDistricts');
?>
<script src="https://refreshless.com/nouislider/distribute/nouislider.js?v=1110"></script>
<link rel="stylesheet" href="https://unpkg.com/leaflet@1.3.1/dist/leaflet.css" integrity="sha512-Rksm5RenBEKSKFjgI3a41vrjkw4EVPlJ3+OiI65vTjIdo9brlAacEuKOiQ5OFh7cOI1bkDwLqdLw3Zg0cRJAAQ==" crossorigin=""/>
<link rel="stylesheet" href="https://unpkg.com/leaflet-routing-machine@latest/dist/leaflet-routing-machine.css" />
<script src="https://unpkg.com/leaflet@1.2.0/dist/leaflet.js" integrity="sha512-lInM/apFSqyy1o6s89K4iQUKg6ppXEgsVxT35HbzUupEVRh2Eu9Wdl4tHj7dZO0s1uvplcYGmt3498TtHq+log==" crossorigin=""></script>
<script src="<?php echo $this->webroot; ?>osrm-frontend/dist/leaflet-routing-machine.js?v1.04"></script>
<link rel="stylesheet" href="<?php echo $this->webroot; ?>leaflet/leaflet1.css" />
<link rel="stylesheet" href="<?php echo $this->webroot; ?>leaflet/leaflet.draw.css"  />
<script src='http://api.tiles.mapbox.com/mapbox.js/plugins/leaflet-omnivore/v0.3.1/leaflet-omnivore.min.js?v1.04'></script>
<script src="<?php echo $this->webroot; ?>leaflet/leaflet-draw.js?v1.06"></script>
<script src="<?php echo $this->webroot; ?>leaflet/map.js?v1.07"></script>
<div class="col-md-12" style="position:relative">   
    <div class="row">         
        <span class="routes" style="display: none;"><div class="txtctr"><div id="exit_id"></div>
                <button class="btn btn-sm btn-danger btnStyle backbpretdist exit" name="exit" type="button" value="clear_route" onclick="clear_routing();">Exit</button></div>
        </span>
        <div class="fullwidth srch-wrap">
            <div class="search-location">
                <form action="" id="">
                    <input name="" class="searchplaces" size="33" type="text" placeholder="Search For Your Location">
                    <input src="<?php echo $this->webroot; ?>img/Search.png" name="" alt="Submit" type="image" class="sub-places">
                </form>
            </div>
        </div>
        <div id="map"class="smallmap"></div>
        <div id="routeclass" style="display:none">
            <div class=closebtn>
                <img src="<?php echo $this->webroot; ?>img/closebtn.png" width=39 height=39>
            </div>
            <div id="routeMap"class="smallmap"> </div>  
        </div>      
        <div class="rightnav-wrap">
            <div class="filterstart">
                <div class="filtericons">
                    <div class="Location"><img src="<?php echo $this->webroot; ?>img/Location.png" data-other-src="<?php echo $this->webroot; ?>img/Location-white.png"><br />Location</div>
                </div>
                <?php echo $this->Form->create(Null, array('id' => 'map-filter-form', 'class' => 'form-horizontal', 'enctype' => 'multipart/form-data', 'role' => 'form')); ?>
                <div class="opt-cont">
                    <div class="dateshow">
                        <div class="hd-opt">Date</div>
                        <div class="dal-cal"><div class="div-main">Start Date <span class="date-format" >23/09/2018</span><span><img src="<?php echo $this->webroot; ?>img/Date-small.png" /></span></div><div class="div-main">End Date <span class="date-format" >23/09/2018</span><span><img src="<?php echo $this->webroot; ?>img/Date-small.png" /></span></div></div>
                    </div>
                    <div class="locationshow">
                        <div class="hd-opt zone"><input type="checkbox" id="zoneselectall" value="check all" onClick="check_uncheck_checkbox(this.checked, 'zone-content');"/> Select Zone</div>
                        <div class="zone-data zone-content">
                            <?php
                            foreach ($zoneList as $zone) {
                                $disabled = '';
                                if (count($accessZones) > 0 && !in_array($zone['Zone']['zone_code'], $accessZones)) {
                                    $disabled = 'disabled';
                                }
                                ?>
                                <input <?php echo $disabled; ?> type="checkbox" value="<?php echo $zone['Zone']['zone_code']; ?>" id="<?php echo $zone['Zone']['zone_code']; ?>" name="<?php echo $zone['Zone']['zone_latlong']; ?>" class="STZ1">
                                <label for="<?php echo $zone['Zone']['zone_code']; ?>"><?php echo ucfirst($zone['Zone']['zone_name']); ?></label>
                            <?php } ?>
                        </div>
                        <div class="states region">
                            <div class="hd-opt"><input type="checkbox" id="regionselectall" value="check all" onClick="check_uncheck_checkbox(this.checked, 'region-content');"/> Select Region</div>
                            <div class="allstates region-content">
                                <?php
                                foreach ($regionList as $region) {
                                    $disabled = '';
                                    if (count($accessRegions) > 0 && !in_array($region['Region']['region_code'], $accessRegions)) {
                                        $disabled = 'disabled';
                                    }
                                    ?>
                                    <input <?php echo $disabled; ?> type="checkbox" value="<?php echo $zone['Zone']['zone_code']; ?>" id="<?php echo $zone['Zone']['zone_code']; ?>" name="<?php echo $zone['Zone']['zone_latlong']; ?>" class="STZ1">
                                    <label for="<?php echo $zone['Zone']['zone_code']; ?>"><?php echo ucfirst($zone['Zone']['zone_name']); ?></label>
                                <?php } ?>
                            </div>
                        </div>
                        <div class="states padd-rgt">
                            <div class="hd-opt district"><input type="checkbox" id="districtselectall" value="check all" onClick="check_uncheck_checkbox(this.checked, 'district-content');"/> Select District</div> 
                            <div class="allstates district-content">
                                <?php
                                foreach ($districtList as $district) {
                                    $disabled = '';
                                    if (count($accessDistricts) > 0 && !in_array($district['Region']['region_code'], $accessDistricts)) {
                                        $disabled = 'disabled';
                                    }
                                    ?>
                                    <input <?php echo $disabled; ?> type="checkbox" value="<?php echo $district['Zone']['zone_code']; ?>" id="<?php echo $zone['Zone']['zone_code']; ?>" name="<?php echo $zone['Zone']['zone_latlong']; ?>" class="STZ1">
                                    <label for="<?php echo $district['Zone']['zone_code']; ?>"><?php echo ucfirst($district['Zone']['zone_name']); ?></label>
                                <?php } ?>
                            </div>
                        </div>
                        <div class="clearall"><br></div>
                        <div class="states pincode">
                            <div class="hd-opt"><input type="checkbox" id="territoryselectall" value="check all" onClick="check_uncheck_checkbox(this.checked, 'territory-content');"/> Select Territory</div>
                            <div class="allstates territory-content"></div>
                        </div>                        
                        <div class="padd-rgt states pincode">
                            <div class="hd-opt"><input type="checkbox" id="pincodeselectall" value="check all" onClick="check_uncheck_checkbox(this.checked, 'pincode-content');"/> Select Pincode</div>
                            <div class="allstates pincode-content"></div>
                        </div>
                        <div class="clearall"><br></div>
                        <div class="hd-opt zone">Select Status</div>
                        <div class="zone-data" id="activity_status">
                            <input type="checkbox" checked id="exp" class="exp" name="exp" value="EXP">
                            <label for="exp">EXP</label>
                            <input type="checkbox" checked id="mbo" class="mbo" value="MBO" name="mbo">
                            <label for="mbo">MBO</label>
                            <input type="checkbox" checked id="na" class="na" value="NOT ACTIVE" name="na">
                            <label for="na">NA</label>
                        </div>
                        <div class="padd-rgt states" id="legandsList">
                            <div class="hd-opt">Color Information</div>
                        </div>                                                                                     
                        <div class="clearall"><br/></div> 
                        
                        <div id="rej_count_class"></div>
                        <div id="prop_count_class"></div>
                        <div id="short_count_class"></div>
                        <div id="na_count_class"></div>
                        
                        
                        <div class="clearall"></div>
                        <div class="submitme" onclick="kml_plotting()" >Submit</div>
                        <div class="cancelclass" onclick="cancel_fun()">Clear</div>
                    </div>
                </div>
                <?php echo $this->Form->end() ?>
            </div>
        </div>
    </div>
</div>
</div>
<script type="text/javascript">
    var mymap = 'https://{s}.tile.openstreetmap.de/tiles/osmde/{z}/{x}/{y}.png',
            osmAttrib = '&copy; <a href="http://openstreetmap.org/copyright">OpenStreetMap</a> contributors',
            osm = L.tileLayer(mymap, {
                maxZoom: 18,
                attribution: osmAttrib
            }),
            map = new L.Map('map', {
                center: new L.LatLng(20.5937, 78.9629),
                zoom: 5
            }),
            drawnItems = L.featureGroup().addTo(map);
    L.control.layers({
        'osm': osm.addTo(map)
    }, {
        'drawlayer': drawnItems
    }, {
        position: 'topleft',
        collapsed: false
    }).addTo(map);
    map.addControl(new L.Control.Draw({
        edit: {
            featureGroup: drawnItems,
            poly: {
                allowIntersection: true
            }
        },
        draw: {
            polygon: {
                allowIntersection: true,
                showRegion: true
            }
        }
    }));

    map.on(L.Draw.Event.CREATED, function (event) {
        var layer = event.layer;
        drawnItems.addLayer(layer);
        var theCenterPt = layer.getLatLng();
        var center = [theCenterPt.lng, theCenterPt.lat];
        var theRadius = layer.getRadius();
        document.getElementById('radius123').style.display = "block";
        document.getElementById('radius123').innerHTML = "Latitude: " + theCenterPt.lat + "<br/>Longitude: " + theCenterPt.lng + "<br/>Radius: " + theRadius + " m";

    });
    var popup = L.popup();
    var LeafIcon = L.Icon.extend({
        options: {
            iconSize: [23, 40],
            shadowSize: [50, 64],
            iconAnchor: [22, 94],
            shadowAnchor: [4, 62],
            popupAnchor: [-3, -76]
        }
    });
    var India = '';
    var indiaStyle = {
        fillColor: 'white',
        weight: 2,
        opacity: 0.9,
        color: 'black', //Outline color
        fillOpacity: 0
    };
    var url = '<?php echo $this->webroot; ?>geojson/india.geojson';
    $.getJSON(url, function (data) {
// L.geoJson function is used to parse geojson file and load on to map
        India = L.geoJson(data, {style: indiaStyle});
        India.addTo(map);
        // map.removeLayer(geojsonLayer);
    });
</script>