<div class="main-content">
    <div class="main-content-inner">
        <div id="breadcrumbs" class="breadcrumbs">
            <script type="text/javascript">
                try 
                {
                    ace.settings.check('breadcrumbs', 'fixed')
                } 
                catch (e) {
                }
            </script>
            <ul class="breadcrumb">
                <li>
                    <i class="ace-icon fa fa-home home-icon"></i>
                    <a href="<?php echo $this->webroot;?>admins/dashboard">Home</a> 
                </li>                       
                <li>
                    <a href="<?php echo $this->webroot;?>territories/manageterritory">Manage Territory</a> 
                </li>                   
                <li class="active">Add Territory</li>
            </ul>
            <!-- /.breadcrumb -->
        </div>
        <div class="page-content">
            <div class="page-header">
                <h1>Add Territory</h1>
                <div id="statusmsg" class="text-center"></div>
            </div>
            <div class="row">
                <div class="space-6"></div>                             
                <?php echo $this->Form->create('Territory', array('type'=>'text','id'=>'territoryInputForm','class'=>'form-horizontal','enctype'=>'multipart/form-data','role'=>'form','url' => array('controller' => 'territories', 'action' => 'saveTerritory')));?>
                <?php echo $this->Form->input('territory_latlong', array('type'=>'hidden','value'=>0));?>
                <?php echo $this->Form->input('territory_population', array('type'=>'hidden','value'=>0));?>
                <div class="form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Territory<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">                  
                        <?php echo $this->Form->input('territory_code', array('type'=>'text','id'=>'territory_code','placeholder'=>'Territory','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                    </div>
                </div>
                <div class="form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">District Code<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">                  
                        <?php echo $this->Form->input('district_id', array('options'=>$districtList,'type'=>'select','id'=>'district_id','class'=>'col-xs-10 col-sm-12','div'=>false,'label'=>false,'empty'=>'District Code','onchange'=>'loadpincodes(this.value)'));?>
                    </div>
                </div>
                <!--<div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">City/Rural<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">                  
                        <?php echo $this->Form->input('city_rural_id', array('type'=>'select','id'=>'city_rural_id','placeholder'=>'Select City/Rural','class'=>'col-xs-10 col-sm-12','label'=>false,'empty'=>'Select City/Rural','onclick'=>'loadpincodes()'));?>
                    </div>
                </div>-->
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Pincode<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4" id="PincodeList">Pincode list based on city/rural selected</div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Selected : </label>
                    <div class="col-sm-4" id="selectedPinList">Selected pincode listed here</div>
                </div>
                <div class="clearfix">
                    <div class="col-md-offset-3 col-md-9">
                        <button type="submit" class="btn btn-info">
                            <i class="ace-icon fa fa-check bigger-110"></i>
                            Submit
                        </button>
                        &nbsp; &nbsp; &nbsp;
                        <button type="reset" class="btn">
                            <i class="ace-icon fa fa-undo bigger-110"></i>
                            Reset
                        </button>
                    </div>
                </div>
                <?php echo $this->Form->end()?>                              
            </div>
        </div>
    </div>
</div>
<style type="text/css">
div#PincodeList {
    max-height: 166px;
    overflow-y: auto;
    border: 1px solid #D5D5D5;
    margin: 1%;
}
div#selectedPinList {
    font-size: 17px;
    margin: 5px;
    letter-spacing: 1.7px;
}
</style>
<script>
$(document).ready(function(){
    $("#district_id").select2({
        allowClear:true,
        placeholder: 'District'
      });
});
</script>