<div class="main-content">
    <div class="main-content-inner">
        <div id="breadcrumbs" class="breadcrumbs">
            <script type="text/javascript">
                try 
                {
                    ace.settings.check('breadcrumbs', 'fixed')
                } catch (e) {
                }
            </script>
            <ul class="breadcrumb">
                <li>
                    <i class="ace-icon fa fa-home home-icon"></i>
                    <a href="<?php echo $this->webroot;?>admins/dashboard">Home</a> 
                </li>						
                <li>
                    <a href="<?php echo $this->webroot;?>zones/managezones">Manage Zones</a> 
                </li>					
                <li class="active">Add Zone</li>
            </ul>
            <!-- /.breadcrumb -->
        </div>
        <div class="page-content">
            <div class="page-header">
                <h1>Add Zone</h1>
                <div id="statusmsg" class="text-center"></div>
            </div>
            <div class="row">
                <div class="space-6"></div>								
                <?php echo $this->Form->create('Zone', array('id'=>'zone-form','class'=>'form-horizontal','enctype'=>'multipart/form-data','role'=>'form','url' => array('controller' => 'zones', 'action' => 'saveZone')));?>
                <div class = "form-group">
                    <label for="data[Zone][zone_name]" class="col-sm-3 control-label no-padding-right">Zone <span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('zone_name', array('id'=>'zone_name','placeholder'=>'Zone Name','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                    </div>
                    <div class="col-sm-1" id="col_roleName"></div>
                </div>
                <div class = "form-group">
                    <label for="data[Zone][zone_code]" class="col-sm-3 control-label no-padding-right">Zone Code<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('zone_code', array('id'=>'zone_code','placeholder'=>'Zone Code','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                    </div>
                    <div class="col-sm-1" id="col_roleName"></div>
                </div>
                <div class = "form-group">
                    <label for="data[Zone][zone_latlong]" class="col-sm-3 control-label no-padding-right">Zone Latlong<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('zone_latlong', array('id'=>'zone_latlong','placeholder'=>'Zone Latlong','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                    </div>
                    <div class="col-sm-1" id="col_roleName"></div>
                </div>
                <div class = "form-group">
                    <label for="data[Zone][zone_population]" class="col-sm-3 control-label no-padding-right">Zone Population<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('zone_population', array('id'=>'zone_population','placeholder'=>'Zone Population','class'=>'col-xs-10 col-sm-12','label'=>false,'maxlength'=>10));?>
                    </div>
                    <div class="col-sm-1" id="col_roleName"></div>
                </div>
               
                <div class="clearfix">
                    <div class="col-md-offset-3 col-md-9">
                        <button type="submit" class="btn btn-info">
                            <i class="ace-icon fa fa-check bigger-110"></i>
                            Submit
                        </button>
                        &nbsp; &nbsp; &nbsp;
                        <button type="reset" class="btn">
                            <i class="ace-icon fa fa-undo bigger-110"></i>
                            Reset
                        </button>
                    </div>
                </div>
                <?php echo $this->Form->end()?>								 
            </div>
        </div>
    </div>
</div>