function admin_validate() {
    if ($('#username').val().trim() == '') {
        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>Please enter username.</div>');
        $('#username').focus();
        return false;
    } else if ($('#password').val().trim() == '') {
        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>Please enter password.</div>');
        $('#password').focus();
        return false;
    } else {
        $('#loginform').submit();

    }
}

function validatepassword() {

    if ($('#currentpassword').val().trim() == '') {
        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>Please enter Current Password.</div>');
        $('#currentpassword').val('');
        $('#currentpassword').focus();
        return false;
    } else if ($('#val_password').val() == 'NOTMATCHED') {
        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>Invalid Current Password.</div>');
        $('#currentpassword').focus();
        return false;
    } else if ($('#newpassword').val().trim() == '') {
        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>Please enter New Password.</div>');
        $('#newpassword').focus();
        $('#newpassword').val('');
        return false;
    } else if ($('#newpassword').val().trim() == $('#currentpassword').val().trim()) {
        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>New Password and Current Password both are same.</div>');
        $('#newpassword').focus();
        return false;
    } else if ($('#confirmpassword').val().trim() == '') {
        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>Please enter Confirm Password.</div>');
        $('#confirmpassword').focus();
        return false;
    } else if ($('#newpassword').val().trim() != $('#confirmpassword').val().trim()) {
        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>New Password and Confirm Password do not matched.</div>');
        $('#confirmpassword').focus();
        return false;
    } else {

        $('#unitform').submit();
    }
}

function checkpassword(colvalue) {

    if (colvalue.trim() != '') {
        $('#password').html('').html('<center><img src="../img/loading.gif" style="height: 29px; width: 29px;" alt="Please wait a moment" /></center>');
        $.ajax({
            url: 'checkpassword',
            data: {
                'colvalue': colvalue
            },
            type: 'post',
            success: function (response) {
                if (response == 'MATCHED') {
                    $('#password').html('').html('<center><img src="../img/success.png" style="height: 25px; width: 25px;" alt="Password Matched" title="Password Matched"/></center>');
                } else {
                    $('#password').html('').html('<center><img src="../img/error.png" style="height: 25px; width: 25px;" title="Password do not matched." alt="Password do not matched." /></center>');
                    demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>You have entered incorrect password.</div>');
                    $('#currentpassword').focus();
                }
                $('#val_password').val(response);
            }
        });
    }
}

function retrievePassword() {
    var email = $('#email').val();
    if (email.trim() == '') {
        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>Please enter email address.</div>');
        $('#email').focus();
    } else if (!email.match(/^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/)) {
        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>Please enter an valid email address.</div>');
        $('#email').focus();
    } else {
        $('#forgotform').submit();
    }
}


function validateDealerFile() {
    var filename = $('#filename').val();
    var fileNameExt = filename.substr(filename.lastIndexOf('.') + 1);
    if (filename.trim() == '') {
        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>Please select file.</div>');
        $('#filename').focus();
    } else if (fileNameExt != '' && (fileNameExt == 'csv' || fileNameExt == 'txt')) {
        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>Please select valid file.</div>');
        $('#filename').focus();
    } else {
        $('#unitform').submit();
    }

}

function validateUser(){
    var email = $('#email').val();
    var desig = $('#designation').val();
    if ($('#designation').val() == '') {
        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>Please select Access Level.</div>');
        $('#designation').focus();
    }else if ($('#'+desig).val() == '') {        
        var result = desig.split('_');
        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>Please select '+result[0]+'</div>');
        $('#designation').focus();      
    }else if ($('#name').val() == '') {
        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>Please enter Username.</div>');
        $('#name').focus();
    }else if ($('#password').val() == '') {
        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>Please enter Password.</div>');
        $('#password').focus();
    }else if (email.trim() == '') {
        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>Please enter email address.</div>');
        $('#email').focus();
    } else if (!email.match(/^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/)) {
        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>Please enter an valid email address.</div>');
        $('#email').focus();
    } else {
        $('#unitform').submit();
    }
}

jQuery(function($){
    $('#username').keyup(function(e){
        if (e.which === 32) {
            demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>No space are allowed in Username.</div>');
            var str = $(this).val();
            str = str.replace(/\s/g,'');
            $(this).val(str);            
        }
    }).blur(function() {
        var str = $(this).val();
        str = str.replace(/\s/g,'');
        $(this).val(str);            
    });
});

jQuery(function($){
    
//region-btn


});