<?php

App::uses('Component', 'Controller');

class CommonCmpComponent extends Component {

    public function groupActions($model, $dataParams) {
        $modelObj = ClassRegistry::init($model);
        $processStatus = '';
        $msg = '';
        if (!empty($dataParams)) {
            $id = $dataParams['id'];
            if (isset($dataParams['actname']) && ($dataParams['actname'] == 'status')) {
                $status = $dataParams['currentsts'];
                if ($status == 1) {
                    $stsflg = 'false';
                } else {
                    $stsflg = 'true';
                }
                $modelObj->updateAll(array('status' => $stsflg), array('id' => $id));
                $processStatus = 'success';
                $msg = 'Status updated successfully';
            } else if (isset($dataParams['actname']) && ($dataParams['actname'] == 'delete')) {
                $modelObj->delete($id);
                $processStatus = 'success';
                $msg = 'Record deleted successfully';
            } else {
                $processStatus = 'error';
                $msg = 'Please try again.';
            }
        }
        $actStatus = array('status' => $processStatus, 'msg' => $msg);
        return $actStatus;
    }

    public function commonList($model, $conditions = array(), $fields = array(), $order = array(), $type = 'list') {
        $modelObj = ClassRegistry::init($model);
        $options = array();
        if (count($fields) > 0) {
            $options['fields'] = $fields;
        }
        if (count($conditions) > 0) {
            $options['conditions'] = $conditions;
        }
        if (count($order) > 0) {
            $options['order'] = $order;
        }
        return $modelObj->find($type, $options);
    }

}
