<div class="main-content">
    <div class="main-content-inner">
        <div id="breadcrumbs" class="breadcrumbs">
            <script type="text/javascript">
                try {
                    ace.settings.check('breadcrumbs', 'fixed')
                } catch (e) {
                }
            </script>
            <ul class="breadcrumb">
                <li>
                    <i class="ace-icon fa fa-home home-icon"></i>
                    <a href="<?php echo $this->webroot;?>admins/dashboard">Home</a> 
                </li>						
                <li>
                    <a href="<?php echo $this->webroot;?>dealers/managedealers">Manage Dealers</a> 
                </li>						
                <li class="active">Dealers List</li>
            </ul>
            <!-- /.breadcrumb -->
        </div>
        <div class="page-content">
            <div class="page-header">
                <h1>Dealers List</h1>
                <div id="statusmsg" class="text-center"></div>
            </div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12" style="margin-bottom:20px;"> 
                    <?php echo $this->Form->create(null, array('style'=>'margin-bottom:10px','url' => array('controller' => 'dealers', 'action' =>'managedealers')));?>
                    <div class="col-md-10 pull-left">
                        <?php echo $this->Form->input('searchkey',array('class'=>'form-control','label' => false,'empty' => false,'value'=>$searchkey,'placeholder'=>'Search by SAPID, Company Name, Contact Person, Latlong, Mobile No')); ?>
                    </div>
                    <div class="col-md-2 pull-left">
                        <button class="btn btn-primary submit_btn" type="submit">Filter Now</button>								
                    </div>
                    <?php echo $this->Form->end()?>				   
                    <br>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12">           
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <div class="table-responsive" style="overflow:none;width: 100%;">
                                <table class="table table-striped table-bordered table-hover">
                                    <thead>
                                        <?php
                                        $paginator = $this->Paginator;
                                        echo "<tr>";
                                        echo "<th style='text-align: center;'>#</th>";
                                        echo "<th style='text-align: center;'>" . $paginator->sort('sap_id', 'SAPID') . "</th>";
                                        echo "<th style='text-align: center;'>" . $paginator->sort('company_name', 'Company Name') . "<i class='fa fa-angle-up'></i> </th>";
                                        echo "<th style='text-align: center;'>" . $paginator->sort('contact_name', 'Contact Person') . "<i class='fa fa-angle-up'></i> </th>";  
                                        echo "<th style='text-align: center;'>" . $paginator->sort('dealer_latlong', 'Latlong') . "<i class='fa fa-angle-up'></i> </th>";  
                                        echo "<th style='text-align: center;'>" . $paginator->sort('exp_mbo_status', 'EXP/MBO') . "<i class='fa fa-angle-up'></i> </th>"; 
                                        echo "<th style='text-align: center;'>Loyalty Status</th>";
                                        echo "<th colspan='3' style='text-align: center;'>Actions</th>";
                                        echo "</tr>";
                                        ?>
                                    </thead>
                                    <tbody>
                                        <?php 
                                        if(!empty($data)){ 
                                        $num = $this->Paginator->counter('{:start}');
                                        foreach( $data as $cat ){
                                        $cat = current($cat);
                                        $id = trim($cat['id']);
                                        $company_name = $cat['company_name'];
                                        $contact_name = $cat['contact_name'];
                                        $dealer_latlong = $cat['dealer_latlong'];
                                        $phone_mobile = $cat['phone_mobile'];                                        
                                        $sap_id = $cat['sap_id'];
                                        $status = $cat['status'];                                        
                                        if($status == true){
                                            $stsicon =  '<span class="label label-success">Activated</span>';
                                            $cstatus = 1;
                                        }else{
                                            $stsicon =  '<span class="label label-danger">Deactivated</span>';
                                            $cstatus =0;
                                        }
                                        
                                        $loyalty_status = $cat['loyalty_status'];
                                        
                                        $exp_mbo_status = $cat['exp_mbo_status'];
                                        $exp_mbo_icon = '';
                                        if($exp_mbo_status == 'EXP'){
                                            $exp_mbo_icon =  '<span class="label label-warning"><i class="ace-icon fa fa-arrow-circle-o-down bigger-120"></i> &nbsp;EXP</span>';
                                        }else if($exp_mbo_status == 'MBO'){
                                            $exp_mbo_icon =  '<span class="label label-info"><i class="ace-icon fa fa-exclamation-triangle bigger-120"></i> &nbsp;MBO</span>';
                                        }
                                        
                                        $statuses = array('proposed'=>'Proposed','shortlisted'=>'Shortlisted','rejected'=>'Rejected');
                                        echo "<tr>";
                                        echo "<td>{$num}</td>";
                                        echo "<td>{$sap_id}</td>";
                                        echo "<td>{$company_name}</td>";
                                        echo "<td>{$contact_name}</td>";
                                        echo "<td>{$dealer_latlong}</td>";
                                        echo "<td>{$exp_mbo_icon}</td>";                                      
                                        echo "<td>".$this->Form->input('supplier_id', array('options'=>$statuses,'empty'=>'', 'onchange' => 'changeStatus("'.$id.'",this.value)','selected'=>$loyalty_status,'label'=>false))."</td>";
                                        echo "<td>".$this->Html->link($stsicon,array('controller'=>'dealers','action'=>'groupaction','?'=>array('actname'=>'status','id'=>$id,'currentsts'=>$cstatus)),array('escape' => false,'title'=>'Change Status'))."</td>";
                                        echo "<td>".$this->Html->link('<i class="fa fa-pencil-square-o" aria-hidden="true"></i>',array('controller'=>'dealers','action'=>'editdealer','?'=>array('id'=>$id)),array('escape' => false,'title'=>'Edit'))."</td>";
                                        echo "<td>".$this->Html->link('<i class="fa fa-trash" aria-hidden="true"></i>',array('controller'=>'dealers','action'=>'groupaction','?'=>array('actname'=>'delete','id'=>$id)),array('escape' => false,'title'=>'Delete'))."</td>";
                                        echo "</tr>";
                                        $num = $num + 1;}	
                                        }else {
                                        echo "<tr><td colspan='9' class='text-center' style='color:red;'>No record found.</td></tr>";
                                        }?>
                                    </tbody>
                                </table>
                                <?php echo $this->element('pagelinks');?>
                            </div>			  
                        </div>						              
                    </div>
                </div>            			 
            </div>
        </div>
        <!-- /.page-content -->
    </div>
</div>
<script type="text/javascript">
    function changeStatus(dealerId,status){
        if (dealerId != '' && status !='') {
            $.ajax({
                url: 'changeLoyaltyStatus',
                data: {
                    'dealerId': dealerId,
                    'status':status
                },
                type: 'post',
                success: function (response) {
                    if (response === 'success') {
                        demo.showNotification('top', 'center', '<div class="alert-box success"><span>success: </span>Loyalty Status updated successfully.</div>');
                    } else {
                        demo.showNotification('top', 'center', '<div class="alert-box error"><span>error: </span>Please select Loyalty Status.</div>');
                    }
                }
            });
        }
    }
</script>