<div class="main-content">
    <div class="main-content-inner">
        <div id="breadcrumbs" class="breadcrumbs">
            <script type="text/javascript">
                try {
                    ace.settings.check('breadcrumbs', 'fixed')
                } 
                catch (e) {
                }
            </script>
            <ul class="breadcrumb">
                <li>
                    <i class="ace-icon fa fa-home home-icon"></i>
                    <a href="<?php echo $this->webroot;?>admins/dashboard">Home</a> 
                </li>						
                <li>
                    <a href="<?php echo $this->webroot;?>districts/managedistricts">Manage Districts</a> 
                </li>					
                <li class="active">Add District</li>
            </ul>
            <!-- /.breadcrumb -->
        </div>
        <div class="page-content">
            <div class="page-header">
                <h1>Add District</h1>
            </div>
            <div class="row">
                <div class="space-6"></div>								
                <?php echo $this->Form->create('District', array('type'=>'text','id'=>'district-form','class'=>'form-horizontal','enctype'=>'multipart/form-data','role'=>'form','url' => array('controller' => 'districts', 'action' => 'saveDistrict')));?>
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Zone Code<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">                  
                        <?php echo $this->Form->input('zone_id', array('options'=>$zoneList,'type'=>'select','id'=>'zone_id','empty'=>'Zone Code','class'=>'col-xs-10 col-sm-12','label'=>false,'onchange'=>'getRegion(this.value)'));?>
                    </div>
                </div>                
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Region Code<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">                  
                        <?php echo $this->Form->input('region_id', array('type'=>'select','id'=>'region_id','placeholder'=>'Region Code','class'=>'col-xs-10 col-sm-12','label'=>false,'empty'=>'Region Code'));?>
                    </div>
                </div>                
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">District <span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('district_name', array('type'=>'text','id'=>'district_name','placeholder'=>'District Name','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                    </div>
                    <div class="col-sm-1" id="col_roleName"></div>
                </div>                 
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">District Code<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('district_code', array('type'=>'text','id'=>'district_code','placeholder'=>'District Code','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                    </div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">District Latlong<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('district_latlong', array('type'=>'text','id'=>'district_latlong','placeholder'=>'District Latlong','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                    </div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">District Population<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('district_population', array('type'=>'text','id'=>'district_population','placeholder'=>'District Population','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                    </div>
                </div>                
                <div class="clearfix">
                    <div class="col-md-offset-3 col-md-9">
                        <button type="submit" class="btn btn-info">
                            <i class="ace-icon fa fa-check bigger-110"></i>
                            Submit
                        </button>
                        &nbsp; &nbsp; &nbsp;
                        <button type="reset" class="btn">
                            <i class="ace-icon fa fa-undo bigger-110"></i>
                            Reset
                        </button>
                    </div>
                </div>
                <?php echo $this->Form->end()?>								 
            </div>
        </div>
    </div>
</div>