<div id="navbar" class="navbar navbar-default">
    <script type="text/javascript">
        try {
            ace.settings.check('navbar', 'fixed')
        } catch (e) {
        }
    </script>
    <div class="navbar-container" id="navbar-container">
        <button type="button" class="navbar-toggle menu-toggler pull-left" id="menu-toggler" data-target="#sidebar">
            <span class="sr-only">Toggle sidebar</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>				
        </button>
        <div class="navbar-header pull-left">
            <a href="<?php echo $this->webroot; ?>admins/dashboard" class="navbar-brand">
                <small>
                    <img alt="JSW Logo" src="<?php echo $this->webroot; ?>img/JSW-icon.png" height="25"/> Control Panel
                </small>
            </a>
        </div>        
        <div class="navbar-buttons navbar-header pull-right" role="navigation">
            <ul class="nav ace-nav">
                <li class="light-blue dropdown-modal">
                    <a data-toggle="dropdown" href="#" class="dropdown-toggle">
                        <img class="nav-user-photo" src="<?php echo $this->webroot; ?>img/user.png" alt="Admin's Photo" />
                        <span class="user-info">
                            <small>Welcome,</small>
                            <?php echo $this->Session->read('shortname'); ?>
                        </span>
                        <i class="ace-icon fa fa-caret-down"></i>
                    </a>
                    <ul class="user-menu dropdown-menu-right dropdown-menu dropdown-yellow dropdown-caret dropdown-close">
                        <li>
                            <a href="<?php echo $this->webroot; ?>admins/changepassword">
                                <i class="ace-icon fa fa-cog"></i>
                                Change Password
                            </a>
                        </li>
                        <li class="divider"></li>
                        <li>
                            <a href="<?php echo $this->webroot; ?>admins/logout">
                                <i class="ace-icon fa fa-power-off"></i>
                                Logout
                            </a>
                        </li>
                    </ul>
                </li>
            </ul>
        </div>
    </div>
</div>
<div id="sidebar" class="sidebar responsive">
    <script type="text/javascript">
        try {
            ace.settings.check('sidebar', 'fixed')
        } catch (e) {
        }
    </script>
    <ul class="nav nav-list">
        <li <?php if (isset($this->request->params['action']) && (strtolower($this->request->params['action']) == 'dashboard')) { ?>class="active" <?php } ?>>
            <a href="<?php echo $this->webroot; ?>admins/dashboard">
                <i class="menu-icon fa fa-tachometer"></i>
                <span class="menu-text"> Dashboard </span> </a>
            <b class="arrow"></b> 
        </li>        
        <li <?php if(isset($this->request->params['controller']) && (strtolower($this->request->params['controller']) =='users')){?>class="active open" <?php }?>>
            <a href="#" class="dropdown-toggle">
                <i class="menu-icon fa fa-user"></i>
                <span class="menu-text">Users</span>
                <b class="arrow fa fa-angle-down"></b> </a>
            <b class="arrow"></b>
            <ul class="submenu">
                <li <?php if(isset($this->request->params['action']) && (strtolower($this->request->params['action']) =='adduser')){?>class="active" <?php }?>>
                    <a href="<?php echo $this->webroot;?>users/addUser">
                        <i class="menu-icon fa fa-caret-right"></i> Add User </a>
                    <b class="arrow"></b> 
                </li>
                <li <?php if(isset($this->request->params['action']) && (strtolower($this->request->params['action']) =='manageusers')){?>class="active" <?php }?>>
                    <a href="<?php echo $this->webroot;?>users/manageusers">
                        <i class="menu-icon fa fa-caret-right"></i> Users List </a>
                    <b class="arrow"></b> 
                </li>
            </ul>
        </li>
        <li <?php if (isset($this->request->params['controller']) && (strtolower($this->request->params['controller']) == 'dealers')) { ?>class="active open" <?php } ?>>
            <a href="#" class="dropdown-toggle">
                <i class="menu-icon fa fa-users"></i>
                <span class="menu-text">Dealers</span>
                <b class="arrow fa fa-angle-down"></b> </a>
            <b class="arrow"></b>
            <ul class="submenu">
                <li <?php if (isset($this->request->params['action']) && (strtolower($this->request->params['action']) == 'adddealer')) { ?>class="active" <?php } ?>>
                    <a href="<?php echo $this->webroot; ?>dealers/adddealer">
                        <i class="menu-icon fa fa-caret-right"></i> Add Dealer </a>
                    <b class="arrow"></b> 
                </li>
                <li <?php if (isset($this->request->params['action']) && (strtolower($this->request->params['action']) == 'importdealer')) { ?>class="active" <?php } ?>>
                    <a href="<?php echo $this->webroot; ?>dealers/importdealer">
                        <i class="menu-icon fa fa-caret-right"></i> Import Dealers </a>
                    <b class="arrow"></b> 
                </li>
                <li <?php if (isset($this->request->params['action']) && (strtolower($this->request->params['action']) == 'destinationmedia')) { ?>class="active" <?php } ?>>
                    <a href="<?php echo $this->webroot; ?>dealers/managedealers">
                        <i class="menu-icon fa fa-caret-right"></i> Manage Dealers</a>
                    <b class="arrow"></b> 
                </li>
            </ul>
        </li>
        <li <?php if (isset($this->request->params['controller']) && (strtolower($this->request->params['controller']) == 'zones')) { ?>class="active open" <?php } ?>>
            <a href="#" class="dropdown-toggle">
                <i class="menu-icon fa fa-bullseye"></i>
                <span class="menu-text">Zones</span>
                <b class="arrow fa fa-angle-down"></b> </a>
            <b class="arrow"></b>
            <ul class="submenu">
                <li <?php if (isset($this->request->params['action']) && (strtolower($this->request->params['action']) == 'addzone')) { ?>class="active" <?php } ?>>
                    <a href="<?php echo $this->webroot; ?>zones/addZone">
                        <i class="menu-icon fa fa-caret-right"></i> Add Zone </a>
                    <b class="arrow"></b> 
                </li>
                <li <?php if (isset($this->request->params['action']) && (strtolower($this->request->params['action']) == 'managezones')) { ?>class="active" <?php } ?>>
                    <a href="<?php echo $this->webroot; ?>zones/managezones">
                        <i class="menu-icon fa fa-caret-right"></i> Manage Zones</a>
                    <b class="arrow"></b> 
                </li>
            </ul>
        </li>
        <li <?php if (isset($this->request->params['controller']) && (strtolower($this->request->params['controller']) == 'regions')) { ?>class="active open" <?php } ?>>
            <a href="#" class="dropdown-toggle">
                <i class="menu-icon fa fa-map"></i>
                <span class="menu-text">Regions</span>
                <b class="arrow fa fa-angle-down"></b> </a>
            <b class="arrow"></b>
            <ul class="submenu">
                <li <?php if (isset($this->request->params['action']) && (strtolower($this->request->params['action']) == 'addregion')) { ?>class="active" <?php } ?>>
                    <a href="<?php echo $this->webroot; ?>regions/addRegion">
                        <i class="menu-icon fa fa-caret-right"></i> Add Region </a>
                    <b class="arrow"></b> 
                </li>
                <li <?php if (isset($this->request->params['action']) && (strtolower($this->request->params['action']) == 'manageareas')) { ?>class="active" <?php } ?>>
                    <a href="<?php echo $this->webroot; ?>regions/manageregions">
                        <i class="menu-icon fa fa-caret-right"></i> Manage Regions</a>
                    <b class="arrow"></b> 
                </li>
            </ul>
        </li>        
        <li <?php if (isset($this->request->params['controller']) && (strtolower($this->request->params['controller']) == 'districts')) { ?>class="active open" <?php } ?>>
            <a href="#" class="dropdown-toggle">
                <i class="menu-icon fa fa-filter"></i>
                <span class="menu-text">Districts</span>
                <b class="arrow fa fa-angle-down"></b> </a>
            <b class="arrow"></b>
            <ul class="submenu">
                <!--<li <?php if (isset($this->request->params['action']) && (strtolower($this->request->params['action']) == 'adddistrict')) { ?>class="active" <?php } ?>>
                    <a href="<?php echo $this->webroot; ?>districts/addDistrict">
                        <i class="menu-icon fa fa-caret-right"></i> Add District </a>
                    <b class="arrow"></b> 
                </li>-->
                <li <?php if (isset($this->request->params['action']) && (strtolower($this->request->params['action']) == 'manageareas')) { ?>class="active" <?php } ?>>
                    <a href="<?php echo $this->webroot; ?>districts/managedistricts">
                        <i class="menu-icon fa fa-caret-right"></i> Manage Districts</a>
                    <b class="arrow"></b> 
                </li>
            </ul>
        </li>
        <li <?php if (isset($this->request->params['controller']) && (strtolower($this->request->params['controller']) == 'pincodes')) { ?>class="active open" <?php } ?>>
            <a href="#" class="dropdown-toggle">
                <i class="menu-icon fa fa-street-view"></i>
                <span class="menu-text">Pincodes</span>
                <b class="arrow fa fa-angle-down"></b> </a>
            <b class="arrow"></b>
            <ul class="submenu">
                <li <?php if (isset($this->request->params['action']) && (strtolower($this->request->params['action']) == 'addpincode')) { ?>class="active" <?php } ?>>
                    <a href="<?php echo $this->webroot; ?>pincodes/addPincode">
                        <i class="menu-icon fa fa-caret-right"></i> Add Pincode </a>
                    <b class="arrow"></b> 
                </li>
                <li <?php if (isset($this->request->params['action']) && (strtolower($this->request->params['action']) == 'importpincode')) { ?>class="active" <?php } ?>>
                    <a href="<?php echo $this->webroot; ?>pincodes/importpincode">
                        <i class="menu-icon fa fa-caret-right"></i> Import Pincodes </a>
                    <b class="arrow"></b> 
                </li>
                <li <?php if (isset($this->request->params['action']) && (strtolower($this->request->params['action']) == 'managepincodes')) { ?>class="active" <?php } ?>>
                    <a href="<?php echo $this->webroot; ?>pincodes/managepincodes">
                        <i class="menu-icon fa fa-caret-right"></i> Manage Pincodes</a>
                    <b class="arrow"></b> 
                </li>
            </ul>
        </li>
        <li <?php if (isset($this->request->params['controller']) && (strtolower($this->request->params['controller']) == 'areas')) { ?>class="active open" <?php } ?>>
            <a href="#" class="dropdown-toggle">
                <i class="menu-icon fa fa-home"></i>
                <span class="menu-text">City/Rural</span>
                <b class="arrow fa fa-angle-down"></b> </a>
            <b class="arrow"></b>
            <ul class="submenu">
                <li <?php if (isset($this->request->params['action']) && (strtolower($this->request->params['action']) == 'manageareas')) { ?>class="active" <?php } ?>>
                    <a href="<?php echo $this->webroot; ?>areas/manageareas">
                        <i class="menu-icon fa fa-caret-right"></i> Manage City/Rural</a>
                    <b class="arrow"></b> 
                </li>
            </ul>
        </li> 
        <li <?php if (isset($this->request->params['controller']) && (strtolower($this->request->params['controller']) == 'territories')) { ?>class="active open" <?php } ?>>
            <a href="#" class="dropdown-toggle">
                <i class="menu-icon fa fa-calendar"></i>
                <span class="menu-text">Territory</span>
                <b class="arrow fa fa-angle-down"></b> </a>
            <b class="arrow"></b>
            <ul class="submenu">
                <li <?php if (isset($this->request->params['action']) && (strtolower($this->request->params['action']) == 'addterritory')) { ?>class="active" <?php } ?>>
                    <a href="<?php echo $this->webroot; ?>territories/addTerritory">
                        <i class="menu-icon fa fa-caret-right"></i> Add Territory</a>
                    <b class="arrow"></b> 
                </li>
                <li <?php if (isset($this->request->params['action']) && (strtolower($this->request->params['action']) == 'manageterritories')) { ?>class="active" <?php } ?>>
                    <a href="<?php echo $this->webroot; ?>territories/manageterritory">
                        <i class="menu-icon fa fa-caret-right"></i> Manage Territory</a>
                    <b class="arrow"></b> 
                </li>
            </ul>
        </li>
        
        
    </ul>
</div>