<div class="main-content">
    <div class="main-content-inner">
        <div id="breadcrumbs" class="breadcrumbs">
            <script type="text/javascript">
                try {
                    ace.settings.check('breadcrumbs', 'fixed')
                } catch (e) {}
            </script>
            <ul class="breadcrumb">
                <li>
                    <i class="ace-icon fa fa-home home-icon"></i>
                    <a href="<?php echo $this->webroot;?>admins/dashboard">Home</a>
                </li>
                <li>
                    <a href="<?php echo $this->webroot;?>pincodes/managepincodes">Manage Pincodes</a>
                </li>
                <li class="active">Add Pincode</li>
            </ul>
            <!-- /.breadcrumb -->
        </div>
        <div class="page-content">
            <div class="page-header">
                <h1>Add Pincode</h1>
                <div id="statusmsg" class="text-center"></div>
            </div>
            <div class="row">
                <div class="space-6"></div>
                <?php echo $this->Form->create('Pincode', array('id'=>'pincode-form','class'=>'form-horizontal','enctype'=>'multipart/form-data','role'=>'form','url' => array('controller' => 'pincodes', 'action' => 'savePincode')));?>
                    <div class="form-group">
                        <label for="form-field-1" class="col-sm-3 control-label no-padding-right">District Code<span style="color:red;">*</span>: </label>
                        <div class="col-sm-4">
                            <?php echo $this->Form->input('district_id', array('options'=>$districtList,'type'=>'select','id'=>'district_id','class'=>'col-xs-10 col-sm-12','label'=>false,'empty'=>'Select District'));?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Pincode <span style="color:red;">*</span>: </label>
                        <div class="col-sm-4">
                            <?php echo $this->Form->input('pincode_code', array('type'=>'text','id'=>'pincode','placeholder'=>'Pincode','class'=>'col-xs-10 col-sm-12','label'=>false,'maxlength'=>'6'));?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Pincode Population<span style="color:red;">*</span>: </label>
                        <div class="col-sm-4">
                            <?php echo $this->Form->input('pincode_population', array('type'=>'text','id'=>'pincode_population','placeholder'=>'Pincode Population','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Pincode Latlong<span style="color:red;">*</span>: </label>
                        <div class="col-sm-4">
                            <?php echo $this->Form->input('pincode_latlong', array('type'=>'text','id'=>'pincode_latlong','placeholder'=>'Pincode Latlong','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Prosperity Index : </label>
                        <div class="col-sm-4">
                            <?php echo $this->Form->input('prosperity_index', array('type'=>'text','id'=>'prosperity_index','placeholder'=>'Prosperity Index','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="form-field-1" class="col-sm-3 control-label no-padding-right">House Holds : </label>
                        <div class="col-sm-4">
                            <?php echo $this->Form->input('pincode_house_hold', array('type'=>'text','id'=>'field_executive_id','placeholder'=>'House Holds','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                        </div>
                    </div>
                    <div class="clearfix">
                        <div class="col-md-offset-3 col-md-9">
                            <button type="submit" class="btn btn-info" onclick="pincodeQuery()">
                                <i class="ace-icon fa fa-check bigger-110"></i> Submit
                            </button>
                            &nbsp; &nbsp; &nbsp;
                            <button type="reset" class="btn">
                                <i class="ace-icon fa fa-undo bigger-110"></i> Reset
                            </button>
                        </div>
                    </div>
                    <?php echo $this->Form->end()?>
            </div>
        </div>
    </div>
</div>
<script>
$(document).ready(function(){
    $("#territory_id").select2({
  allowClear:true,
  placeholder: 'Territory'
});
});
</script>