<div class="main-content">
    <div class="main-content-inner">
        <div id="breadcrumbs" class="breadcrumbs">
            <script type="text/javascript">
                try 
                {
                    ace.settings.check('breadcrumbs', 'fixed')
                } 
                catch (e) {
                }
            </script>
            <ul class="breadcrumb">
                <li>
                    <i class="ace-icon fa fa-home home-icon"></i>
                    <a href="<?php echo $this->webroot;?>admins/dashboard">Home</a> 
                </li>						
                <li>
                    <a href="<?php echo $this->webroot;?>regions/manageregions">Manage Regions</a> 
                </li>					
                <li class="active">Update Region</li>
            </ul>
            <!-- /.breadcrumb -->
        </div>
        <div class="page-content">
            <div class="page-header">
                <h1>Update Region</h1>
                <div id="statusmsg" class="text-center"></div>
            </div>
            <div class="row">
                <div class="space-6"></div>								
                <?php echo $this->Form->create('Region', array('type'=>'text','id'=>'region-form','class'=>'form-horizontal','enctype'=>'multipart/form-data','role'=>'form','url' => array('controller' => 'regions', 'action' => 'saveRegion')));?>
                <?php echo $this->Form->input('Region.id', array('type' => 'hidden','value'=>$this->request->data['Region']['id']));?>
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Zone Code<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">                  
                        <?php echo $this->Form->input('zone_id', array('options'=>$zoneList,'type'=>'select','id'=>'zone_id','placeholder'=>'Zone Code','class'=>'col-xs-10 col-sm-12','label'=>false,'required'=>true,'empty'=>''));?>
                    </div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Region <span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('region_name', array('type'=>'text','id'=>'region_name','placeholder'=>'Region Name','class'=>'col-xs-10 col-sm-12','label'=>false,'required'=>true));?>
                    </div>
                    <div class="col-sm-1" id="col_roleName"></div>
                </div>                 
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Region Code<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('region_code', array('type'=>'text','id'=>'region_code','placeholder'=>'Region Code','class'=>'col-xs-10 col-sm-12','label'=>false,'required'=>true));?>
                    </div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Region Latlong<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('region_latlong', array('type'=>'text','id'=>'region_latlong','placeholder'=>'Region Latlong','class'=>'col-xs-10 col-sm-12','label'=>false,'required'=>true));?>
                    </div>
                </div>
                <div class = "form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Region Population<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('region_population', array('type'=>'text','id'=>'region_population','placeholder'=>'Region Population','class'=>'col-xs-10 col-sm-12','label'=>false,'required'=>true));?>
                    </div>
                </div>
                
                <div class="clearfix">
                    <div class="col-md-offset-3 col-md-9">
                        <button type="submit" class="btn btn-info">
                            <i class="ace-icon fa fa-check bigger-110"></i>
                            Submit
                        </button>
                        &nbsp; &nbsp; &nbsp;
                        <button type="reset" class="btn">
                            <i class="ace-icon fa fa-undo bigger-110"></i>
                            Reset
                        </button>
                    </div>
                </div>
                <?php echo $this->Form->end()?>								 
            </div>
        </div>
    </div>
</div>
<script>
$(document).ready(function(){
  $("#zone_id").select2({
    allowClear:true,
    placeholder: 'Zone'
  });
});
</script>