<div class="main-content">
    <div class="main-content-inner">
        <div id="breadcrumbs" class="breadcrumbs">
            <script type="text/javascript">
                try {
                    ace.settings.check('breadcrumbs', 'fixed')
                } catch (e) {
                }
            </script>
            <ul class="breadcrumb">
                <li>
                    <i class="ace-icon fa fa-home home-icon"></i>
                    <a href="<?php echo $this->webroot;?>admins/dashboard">Home</a> 
                </li>						
                <li>
                    <a href="<?php echo $this->webroot;?>territories/manageterritory">Manage Territories</a> 
                </li>						
                <li class="active">Territory List</li>
            </ul>
            <!-- /.breadcrumb -->
        </div>
        <div class="page-content">
            <div class="page-header">
                <h1>Territory List</h1>
                <div id="statusmsg" class="text-center"></div>
            </div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12" style="margin-bottom:20px;"> 
                    <?php echo $this->Form->create(null, array('style'=>'margin-bottom:10px','url' => array('controller' => 'territories', 'action' =>'manageterritory')));?>
                    <div class="col-md-10 pull-left">
                        <?php echo $this->Form->input('searchkey',array('class'=>'form-control','label' => false,'empty' => false,'value'=>$searchkey,'placeholder'=>'Search by District Code, City/Rural Code, Territory Code')); ?>
                    </div>
                    <div class="col-md-2 pull-left">
                        <button class="btn btn-primary submit_btn" type="submit">Filter Now</button>								
                    </div>
                    <?php echo $this->Form->end()?>				   
                    <br>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12">           
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <div class="table-responsive" style="overflow:none;width: 100%;">
                                <table class="table table-striped table-bordered table-hover">
                                    <thead>
                                        <?php
                                        $paginator = $this->Paginator;
                                        echo "<tr>";
                                        echo "<th style='text-align: center;'>#</th>";
                                        echo "<th style='text-align: center;'>" . $paginator->sort('territory_code', 'Territory') . "</th>";
                                        echo "<th style='text-align: center;'>" . $paginator->sort('district_id', 'District Code') . "</th>";
                                        //echo "<th style='text-align: center;'>" . $paginator->sort('city_rural_id', 'City/Rural Code') . "</th>";                                        
                                        echo "<th style='text-align: center;'>Pincodes</th>";
                                        echo "<th colspan='3' style='text-align: center;'>Actions</th>";
                                        echo "</tr>";
                                        ?>
                                    </thead>
                                    <tbody>
                                        <?php 
                                        if(!empty($data)){ 
                                        $num = $this->Paginator->counter('{:start}');
                                        foreach( $data as $cat ){
                                        $id = ucwords($cat['Territory']['id']);
                                        $district_id = $cat['Territory']['district_id'];
                                        //$city_rural_id = $cat['Territory']['city_rural_id'];
                                        $territory_code = $cat['Territory']['territory_code'];
                                        $pincodes = $this->Common->getDataSet(array('territory_id'=>$id),array('pincode_code'), array('pincode_code'),'list');
                                                                                
                                        if(count($pincodes) > 0){                                        
                                            $pincodes = implode(',',$pincodes);                                        
                                        }
                                        
                                        if($cat['Territory']['status'] == true){
                                            $stsicon =  '<span class="label label-success">Activated</span>';
                                            $cstatus = 1;
                                        }else{
                                            $stsicon =  '<span class="label label-danger">Deactivated</span>';
                                            $cstatus =0;
                                        }
                                        echo "<tr>";
                                        echo "<td>{$num}</td>";
                                        echo "<td>{$territory_code}</td>";
                                        echo "<td>{$district_id}</td>";   
                                        //echo "<td>{$city_rural_id}</td>";
                                        echo "<td style='text-align: center;'>{$pincodes}</td>";
                                        echo "<td>".$this->Html->link($stsicon,array('controller'=>'territories','action'=>'groupaction','?'=>array('actname'=>'status','id'=>$id,'currentsts'=>$cstatus)),array('escape' => false,'title'=>'Change Status'))."</td>";
                                        echo "<td>".$this->Html->link('<i class="fa fa-pencil-square-o" aria-hidden="true"></i>',array('controller'=>'territories','action'=>'editTerritory','?'=>array('id'=>$id)),array('escape' => false,'title'=>'Edit'))."</td>";
                                        echo "<td>".$this->Html->link('<i class="fa fa-trash" aria-hidden="true"></i>',array('controller'=>'territories','action'=>'groupaction','?'=>array('actname'=>'delete','id'=>$id)),array('escape' => false,'title'=>'Delete'))."</td>";
                                        echo "</tr>";
                                        $num = $num + 1;}	
                                        }else {
                                        echo "<tr><td colspan='7' class='text-center' style='color:red;'>No record found.</td></tr>";
                                        }?>
                                    </tbody>
                                </table>
                                <?php echo $this->element('pagelinks');?>
                            </div>			  
                        </div>						              
                    </div>
                </div>            			 
            </div>
        </div>
        <!-- /.page-content -->
    </div>
</div>