<?php 
$access_ids = (isset($this->request->data['User']['allow_ids']) && $this->request->data['User']['allow_ids'] !='')?$this->request->data['User']['allow_ids']:'';
$designation = (isset($this->request->data['User']['designation']) && $this->request->data['User']['designation'] !='')?$this->request->data['User']['designation']:'';


if($access_ids !=''){
   $this->request->data['User'][$this->request->data['User']['designation']] = explode(',',$access_ids);
}
?>
<div class="main-content">
    <div class="main-content-inner">
        <div id="breadcrumbs" class="breadcrumbs">
            <ul class="breadcrumb">
                <li>
                    <i class="ace-icon fa fa-home home-icon"></i>
                    <a href="<?php echo $this->webroot;?>admins/dashboard">Home</a> 
                </li>						
                <li>
                    <a href="<?php echo $this->webroot;?>users/manageusers">Manage Users</a> 
                </li>					
                <li class="active">Update User</li>
            </ul>
            <!-- /.breadcrumb -->
        </div>
        <div class="page-content">
            <div class="page-header">
                <h1>Update User</h1>
            </div>
            <div class="row">
                <div class="space-6"></div>								
                <?php echo $this->Form->create('User', array('id'=>'unitform','class'=>'form-horizontal','enctype'=>'multipart/form-data','role'=>'form','url' => array('controller' => 'users', 'action' => 'saveUser')));?>
                <?php echo $this->Form->input('User.id', array('type' => 'hidden','value'=>$this->request->data['User']['id']));?>
                <div class="form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Access Level<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('designation', array('type'=>'select','options'=>$designations,'id'=>'designation','empty'=>'Access Level','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                    </div>
                </div>                
                <div class="form-group hide headDiv" id="zone_head_div">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Access Zone<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('zone_head', array('type'=>'select','options'=>$zoneList,'id'=>'zone_head','class'=>'col-xs-10 col-sm-12','label'=>false,'div'=>false,'style'=>'width: 100%;','multiple'=>true));?>
                    </div>
                </div>                
                <div class="form-group hide headDiv" id="area_head_div">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Access Area<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('area_head', array('type'=>'select','options'=>$areaList,'id'=>'area_head','class'=>'col-xs-10 col-sm-12','label'=>false,'div'=>false,'style'=>'width: 100%;','multiple'=>true));?>
                    </div>
                </div>   
                <div class="form-group hide headDiv" id="territory_head_div">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Access Territory<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('territory_head', array('type'=>'select','options'=>$territeryList,'id'=>'territory_head','class'=>'col-xs-10 col-sm-12','label'=>false,'div'=>false,'style'=>'width: 100%;','multiple'=>true));?>
                    </div>
                </div>
                <div class="form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Username<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('name', array('type'=>'text','id'=>'name','placeholder'=>'Username','class'=>'col-xs-10 col-sm-12','label'=>false,'maxlength'=>20));?>
                    </div>
                </div>
                <div class="form-group">
                    <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Email Address<span style="color:red;">*</span>: </label>
                    <div class="col-sm-4">					
                        <?php echo $this->Form->input('email', array('type'=>'text','id'=>'email','placeholder'=>'Email Address','class'=>'col-xs-10 col-sm-12','label'=>false));?>
                    </div>
                </div>
                <div class="clearfix">
                    <div class="col-md-offset-3 col-md-9">
                        <button type="button" class="btn btn-info" onclick="validateUser()">
                            <i class="ace-icon fa fa-check bigger-110"></i>
                            Submit
                        </button>
                        &nbsp; &nbsp; &nbsp;
                        <button type="reset" class="btn">
                            <i class="ace-icon fa fa-undo bigger-110"></i>
                            Reset
                        </button>
                    </div>
                </div>
                <?php echo $this->Form->end()?>								 
            </div>
        </div>
    </div>
</div>
<script>
$(document).ready(function(){
    $("#designation").select2({
        allowClear:true,
        placeholder: 'Access Level'
      });
       $("#zone_head").select2({
        allowClear:true,
        placeholder: 'Select Zone'
      });
       $("#area_head").select2({
        allowClear:true,
        placeholder: 'Select Area'
      });
       $("#territory_head").select2({
        allowClear:true,
        placeholder: 'Territory Level'
      });
      
     $("#designation").change(function() {
         showOne($(this).val()+"_div");     
     });
     var designation = '<?php echo $designation;?>';
     if(designation !=''){
        $('#' + designation+'_div').removeClass('hide');
    }
});
function showOne(id) {
    $('.headDiv').addClass('hide');
    $('#' + id).removeClass('hide');
}
</script>