<div class="main-content">
    <div class="main-content-inner">
        <div id="breadcrumbs" class="breadcrumbs">
            <script type="text/javascript">
                try {
                    ace.settings.check('breadcrumbs', 'fixed')
                } catch (e) {
                }
            </script>
            <ul class="breadcrumb">
                <li>
                    <i class="ace-icon fa fa-home home-icon"></i>
                    <a href="<?php echo $this->webroot;?>admins/dashboard">Home</a> 
                </li>						
                <li>
                    <a href="<?php echo $this->webroot;?>users/manageusers">Manage Users</a> 
                </li>						
                <li class="active">User List</li>
            </ul>
            <!-- /.breadcrumb -->
        </div>
        <div class="page-content">
            <div class="page-header">
                <h1>User List</h1>
            </div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12" style="margin-bottom:20px;"> 
                    <?php echo $this->Form->create(null, array('style'=>'margin-bottom:10px','url' => array('controller' => 'users', 'action' =>'manageusers')));?>
                    <div class="col-md-10 pull-left">
                        <?php echo $this->Form->input('searchkey',array('class'=>'form-control','label' => false,'empty' => false,'value'=>$searchkey,'placeholder'=>'Search by Username')); ?>
                    </div>
                    <div class="col-md-2 pull-left">
                        <button class="btn btn-primary submit_btn" type="submit">Filter Now</button>								
                    </div>
                    <?php echo $this->Form->end()?>				   
                    <br>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12">           
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <div class="table-responsive" style="overflow:none;width: 100%;">
                                <table class="table table-striped table-bordered table-hover">
                                    <thead>
                                        <?php
                                        $paginator = $this->Paginator;
                                        echo "<tr>";
                                        echo "<th style='text-align: center;'>#</th>";
                                        echo "<th style='text-align: center;'>" . $paginator->sort('name', 'Username') . "</th>";
                                        echo "<th style='text-align: center;'>" . $paginator->sort('email', 'Email Address') . "</th>";
                                        echo "<th style='text-align: center;'>" . $paginator->sort('designation', 'Designation') . "</th>";
                                        echo "<th style='text-align: center;'>Allow Access</th>";
                                        echo "<th colspan='3' style='text-align: center;'>Actions</th>";
                                        echo "</tr>";
                                        ?>
                                    </thead>
                                    <tbody>
                                        <?php 
                                        if(!empty($data)){ 
                                        $num = $this->Paginator->counter('{:start}');
                                        foreach( $data as $cat ){
                                        $id = $cat['User']['id'];                                      
                                        $sName = $cat['User']['name'];
                                        $emailId = $cat['User']['email'];
                                        $cstatus = $cat['User']['status'];
                                        $designation = $designationList[$cat['User']['designation']];
                                        $sAlias = (isset($cat['User']['allow_ids']) && $cat['User']['allow_ids'] !='')?$cat['User']['allow_ids']:'All';
                                        if($cstatus == 1){ 
                                            $stsicon =  '<span class="label label-success">Activated</span>';
                                        }else{
                                            $stsicon =  '<span class="label label-danger">Deactivated</span>';
                                        }
                                        echo "<tr>";
                                        echo "<td>{$num}</td>";
                                        echo "<td>{$sName}</td>";
                                        echo "<td>{$emailId}</td>";
                                        echo "<td>{$designation}</td>";
                                        echo "<td>{$sAlias}</td>";
                                        echo "<td>".$this->Html->link($stsicon,array('controller'=>'users','action'=>'groupaction','?'=>array('actname'=>'status','id'=>$id,'currentsts'=>$cstatus)),array('escape' => false,'title'=>'Change Status'))."</td>";
                                        echo "<td>".$this->Html->link('<i class="fa fa-pencil-square-o" aria-hidden="true"></i>',array('controller'=>'users','action'=>'editUser','?'=>array('id'=>$id)),array('escape' => false,'title'=>'Edit'))."</td>";
                                        echo "<td>".$this->Html->link('<i class="fa fa-trash" aria-hidden="true"></i>',array('controller'=>'users','action'=>'groupaction','?'=>array('actname'=>'delete','id'=>$id)),array('escape' => false,'title'=>'Delete'))."</td>";
                                        echo "</tr>";
                                        $num++;}	}else {
                                        echo "<tr><td colspan='7' class='text-center' style='color:red;'>No record found.</td></tr>";
                                        }?>
                                    </tbody>
                                </table>
                                <?php echo $this->element('pagelinks');?>
                            </div>			  
                        </div>						              
                    </div>
                </div>            			 
            </div>
        </div>
        <!-- /.page-content -->
    </div>
</div>